POST /vimgrvcenterruntime/initiate/addvnics

POST /vimgrvcenterruntime/initiate/addvnics

/vimgrvcenterruntime/initiate/addvnics

Request
URI
POST
https://{api_host}/api/vimgrvcenterruntime/initiate/addvnics
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

cc_add_vnics_req

cc_add_vnics_req of type(s) application/json
Required  

Show optional properties

{
    "se_vm_uuid": "string"
}
{
    "cc_id": "string",
    "cookie": "string",
    "se_vm_uuid": "string",
    "vnics": [
        {
            "mac_address": "string",
            "network_uuid": "string",
            "port_uuid": "string",
            "status": "string",
            "status_string": "string",
            "subnet_uuid": "string",
            "vrf_uuid": "string"
        }
    ],
    "vs_uuids": [
        "string"
    ]
}
string
cc_id
Optional
Constraints: default: cloud-0

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
cookie
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_vm_uuid
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
vnics
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
vs_uuids
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns string of type(s) application/json
Operation doesn't return any data structure

401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"se_vm_uuid":"string"}' https://{api_host}/api/vimgrvcenterruntime/initiate/addvnics